Loading...
Searching...
No Matches
MssqlSqlUtilBase::MssqlView Class Reference

represents a Mssql view More...

Inherits SqlUtil::AbstractView.

## Public Member Functions

| constructor (string n_name, string n_src, __7_ string n_schemaname)
| creates the object from the arguments
string | getCreateSql (__7_ hash opt)
| returns a string that can be used to create the view in the database
softlist | getRenameSql (string new_name, __7_ hash opt)
| returns a string that can be used to rename the view in the database

## Detailed Description

represents a Mssql view

## Member Function Documentation

## getRenameSql()

softlist MssqlSqlUtilBase::MssqlView::getRenameSql | ( | string | new_name,
|  | __7_ hash | opt
| ) |  |

returns a string that can be used to rename the view in the database

The object is renamed in place with this call

Parameters

  new_name | the new name of the object
  opt | this option is ignored